%define upstream_name    POE-Component-Client-Ping
%define upstream_version 1.174

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Concurrent ICMP ping without fork or threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 1.7.0
BuildRequires: perl(Time::HiRes) >= 1.200.0
BuildArch:  noarch

%{?perl_default_filter}

%description
POE::Component::Client::Ping is non-blocking ICMP ping client. It lets
several other sessions ping through it in parallel, and it lets them
continue doing other things while they wait for responses.

Ping client components are not proper objects. Instead of being created, as
most objects are, they are "spawned" as separate sessions. To avoid
confusion (and hopefully not cause other confusion), they must be spawned
with a 'spawn' method, not created anew with a 'new' one.

PoCo::Client::Ping's 'spawn' method takes a few named parameters:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# requires root privilege
rm -f t/zz_rt_72055.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.174.0-7pclos2017
- rebuild against updates

